
Home-assistant
===========

Open source home automation that puts local control and privacy first. Powered by a worldwide community of tinkerers and DIY enthusiasts.


## Configuration

The following table lists the configurable parameters of the Home-assistant chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `image.repository` |  | `"ghcr.io/home-assistant/home-assistant"` |
| `image.tag` |  | `null` |
| `controller.enabled` | should the main workload be included or not | `true` |
| `controller.type` | valid options are deployment, statefulset, job | `"statefulset"` |
| `service.http.enabled` |  | `true` |
| `service.http.ports.http.port` |  | `80` |
| `service.http.ports.http.targetPort` |  | `8123` |
| `ingress.enabled` |  | `false` |
| `ingress.service` | what service should the ingress target | `"http"` |
| `ingress.servicePort` |  | `80` |
| `ingress.className` |  | `"nginx"` |
| `ingress.hosts` |  | `[{"host": "example.local", "paths": [{"path": "/", "pathType": "Prefix"}]}]` |
| `ingress.annotations` |  | `{}` |
| `ingress.tls` |  | `[]` |
| `volumeClaimTemplates` |  | `[{"name": "config", "mountPath": "/config", "accessMode": "ReadWriteOnce", "storageClassName": "default", "size": "1Gi"}]` |
| `livenessProbe.httpGet.path` |  | `"/"` |
| `livenessProbe.httpGet.port` |  | `8123` |
| `livenessProbe.initialDelaySeconds` |  | `5` |
| `livenessProbe.periodSeconds` |  | `3` |





